---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libAllowedFunctions.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0xB40, symSize: 0x10 }
  - { offsetInCU: 0x41, offset: 0x41, size: 0x8, addend: 0x0, symName: _ClassPrepare, symObjAddr: 0x360, symBinAddr: 0xEA0, symSize: 0x8F0 }
  - { offsetInCU: 0x70, offset: 0x70, size: 0x8, addend: 0x0, symName: _ClassPrepare.event_no, symObjAddr: 0x13DD0, symBinAddr: 0x3040, symSize: 0x0 }
  - { offsetInCU: 0xE76, offset: 0xE76, size: 0x8, addend: 0x0, symName: _event_mon, symObjAddr: 0x13DC8, symBinAddr: 0x3038, symSize: 0x0 }
  - { offsetInCU: 0xEA1, offset: 0xEA1, size: 0x8, addend: 0x0, symName: _result, symObjAddr: 0x13DC0, symBinAddr: 0x3030, symSize: 0x0 }
  - { offsetInCU: 0x1484, offset: 0x1484, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0xB40, symSize: 0x10 }
  - { offsetInCU: 0x14E1, offset: 0x14E1, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x10, symBinAddr: 0xB50, symSize: 0x230 }
  - { offsetInCU: 0x68FD, offset: 0x68FD, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x240, symBinAddr: 0xD80, symSize: 0x10 }
  - { offsetInCU: 0x695A, offset: 0x695A, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x250, symBinAddr: 0xD90, symSize: 0x10 }
  - { offsetInCU: 0x698E, offset: 0x698E, size: 0x8, addend: 0x0, symName: _Java_AllowedFunctions_check, symObjAddr: 0x260, symBinAddr: 0xDA0, symSize: 0x10 }
  - { offsetInCU: 0x69EF, offset: 0x69EF, size: 0x8, addend: 0x0, symName: _VMStart, symObjAddr: 0x270, symBinAddr: 0xDB0, symSize: 0x80 }
  - { offsetInCU: 0x6A92, offset: 0x6A92, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x2F0, symBinAddr: 0xE30, symSize: 0x70 }
  - { offsetInCU: 0x6FCF, offset: 0x6FCF, size: 0x8, addend: 0x0, symName: _print_class_signature, symObjAddr: 0xC50, symBinAddr: 0x1790, symSize: 0x82 }
...
